Index: BOOK/stylesheets/clfs-profile.xsl
===================================================================
--- BOOK/stylesheets/clfs-profile.xsl	(revision 5171adca829902bb102d73778a743a5902363df0)
+++ BOOK/stylesheets/clfs-profile.xsl	(revision 33cb2bd96a75c78ccae9fc620e3988c08c41aa8b)
@@ -50,5 +50,5 @@
         </xsl:with-param>
         <xsl:with-param name="bits" select="substring-before(concat($bits, ','), ',')" />
-        <xsl:with-param name="multi"><xsl:text>multi</xsl:text></xsl:with-param>
+        <xsl:with-param name="multibuild" select="$multibuild" />
       </xsl:call-template>
     </xsl:if>
@@ -71,17 +71,14 @@
     <xsl:param name="idsuffix" /> <!-- Suffix to attach to the end of the ID for this perticular instance -->
     <xsl:param name="bits" /> <!-- Which bit sizes to create a package for -->
-    <xsl:param name="multi" /> <!-- multi/single build -->
+    <xsl:param name="multibuild" /> <!-- Are there multiple instances of this package? -->
 
     <xsl:for-each select="sect1">
+
       <xsl:copy>
+
         <xsl:attribute name="id">
           <xsl:value-of select="concat($id, $idsuffix)" />
         </xsl:attribute>
-        <xsl:attribute name="role">
-          <xsl:text>package</xsl:text>
-        </xsl:attribute>
-        <xsl:attribute name="condition">
-          <xsl:value-of select="$multi" />
-        </xsl:attribute>
+
         <xsl:processing-instruction name="dbhtml">
           <xsl:text>filename=&quot;</xsl:text>
@@ -89,29 +86,44 @@
           <xsl:text>.html&quot;</xsl:text>
         </xsl:processing-instruction>
+
+        <xsl:for-each select="title">
+          <xsl:element name="title">
+            <xsl:copy-of select="@*|node()" />
+            <xsl:if test="contains($clfs.multilib, ',') and ($multibuild = 'true')">
+              <xsl:text> - </xsl:text>
+              <xsl:choose>
+                <xsl:when test="$bits = '32'">
+                  <xsl:text>32Bit</xsl:text>
+                </xsl:when>
+                <xsl:when test="$bits = 'n32'">
+                  <xsl:text>N32</xsl:text>
+                </xsl:when>
+                <xsl:when test="$bits = '64'">
+                  <xsl:text>64Bit</xsl:text>
+                </xsl:when>
+              </xsl:choose>
+            </xsl:if>
+          </xsl:element>
+        </xsl:for-each>
+
         <xsl:choose>
           <xsl:when test="$bits = '32'">
-            <xsl:apply-templates select="@*|node()" mode="filter-bits-32" />
+            <xsl:apply-templates select="@*|node()[not(self::title)]" mode="filter-bits-32" />
           </xsl:when>
           <xsl:when test="$bits = 'n32'">
-            <xsl:apply-templates select="@*|node()" mode="filter-bits-n32" />
+            <xsl:apply-templates select="@*|node()[not(self::title)]" mode="filter-bits-n32" />
           </xsl:when>
           <xsl:when test="$bits = '64'">
-            <xsl:apply-templates select="@*|node()" mode="filter-bits-64" />
+            <xsl:apply-templates select="@*|node()[not(self::title)]" mode="filter-bits-64" />
           </xsl:when>
         </xsl:choose>
+
       </xsl:copy>
+
     </xsl:for-each>
+
   </xsl:template>
 
   <!-- Apply the profile to the 32bit package -->
-
-  <xsl:template match="//sect1/title" mode="filter-bits-32">
-    <xsl:element name="title">
-      <xsl:copy-of select="@*|node()" />
-      <xsl:if test="contains($clfs.multilib, ',')">
-        <xsl:text> - 32Bit</xsl:text>
-      </xsl:if>
-    </xsl:element>
-  </xsl:template>
 
   <xsl:template match="@*|node()" mode="filter-bits-32">
@@ -142,13 +154,4 @@
 
   <!-- Apply the profile to the n32 package -->
-  
-  <xsl:template match="//sect1/title" mode="filter-bits-n32">
-    <xsl:element name="title">
-      <xsl:copy-of select="@*|node()" />
-      <xsl:if test="contains($clfs.multilib, ',')">
-        <xsl:text> - N32</xsl:text>
-      </xsl:if>
-    </xsl:element>
-  </xsl:template>
 
   <xsl:template match="@*|node()" mode="filter-bits-n32">
@@ -179,13 +182,4 @@
 
   <!-- Apply the profile to the 64bit package -->
-  
-  <xsl:template match="//sect1/title" mode="filter-bits-64">
-    <xsl:element name="title">
-      <xsl:copy-of select="@*|node()" />
-      <xsl:if test="contains($clfs.multilib, ',')">
-        <xsl:text> - 64Bit</xsl:text>
-      </xsl:if>
-    </xsl:element>
-  </xsl:template>
 
   <xsl:template match="@*|node()" mode="filter-bits-64">
